require 'collision'
require 'player'
require 'crate'
require 'enemies'
require 'level1'
require 'bullet'
focus = true
cratespawned = nil
function love.load()
    gr = love.graphics
    rect= gr.rectangle
    draw = gr.draw
    
    player.load()
    LOAD_LEVEL1()
    bullet_load()
    enemies_load()
    points = 0
    medium = gr.newFont(22)
    cratespawned = false
    if points >= 10 then
            limit = limit - .5
            if points >=20 then
                limit = limit - .5
            end
    end
end

function love.update(dt)
    if player.health <=0 then
    elseif focus == false then
    else
        UPDATE_PLAYER(dt)
        UPDATE_LEVEL1(dt)
        bullet.update(dt)
        UPDATE_CRATE(dt)
        UPDATE_ENEMIES(dt)
    end
end

function love.draw()
    if focus then
        gr.setColor(255,255,255,255)
        DRAW_LEVEL1()
        player.draw()        
        DRAW_CRATE()
        bullet.draw()
        enemies_draw()
        gr.setColor(0,0,0)
        gr.setFont(medium)
        gr.print(points,375,-2)
   end
   if focus==false then
        gr.setColor(255,255,255,150)
        rect('fill',0,0,800,600)
        gr.setColor(0,0,0)
        gr.print('Game Paused\nClick the screen to unpause',300,200)
   end
    if player.health <=0 then
        gr.setColor(255,255,255,150)
        rect('fill',0,0,800,600)
        gr.setColor(0,0,0)
        gr.print('Game over\nYou got '..points..' crates\nHit escape to quit',300,200)       
   end
end

function love.keypressed(key)
    if key == ' ' then
        bullet.spawn(player.face)
    end
    if key=='escape'then
        love.event.quit()
    end
end

function love.keyreleased(key)
    player.animreset(key)
end

function love.focus(f)
    if f then
    focus = true
    else
        focus = false
    end
end

