enemies = {}
enemies.normal = {x=0,y=0,width=20,height=20,hp=1,speed=900,xvel = 0,friction=7,super= false}
enemies.large = {x=0,y=0,width=40,height=40,hp=2,speed=800,xvel = 0,friction=7,super= false}
enemies.flying = {}
enemies.sludge = {}
timer = nil
function enemies_load()
    eN = enemies.normal
    eL = enemies.large
    eF = enemies.flying
    eS = enemies.sludge
    eN={x=0,y=0,width=20,height=20,hp=1,speed=900,xvel = 0,friction=7,super= false}
    eL={x=0,y=0,width=40,height=40,hp=2,speed=800,xvel = 0,friction=7,super= false}
    norm=nil
    larg=nil
    flyi=nil
    slud=nil
    normal = gr.newImage('art/normal.png')
    large = gr.newImage('art/large.png')
    enNum = 0
    limit = 2
    timer = 0
end

function enemy_picker()
    enNum = math.random(0,500)
    if enNum >= 0 and enNum <=399 then
        norm = true
        return true
    elseif enNum >=400 and enNum <=500 then
        larg = true
        return true
    end
    
end

function enemies_spawn()
    if norm then
        eN[#eN + 1] ={x=gr.getWidth()/2-5,y=0,width=40,height=40,speed=1200,xvel = 0, yvel=0,gravity = 900,hp=1,friction=7,dir=math.random(1,2),super=false}
        norm = false
    elseif larg then
        eL[#eL + 1] ={x=gr.getWidth()/2-5,y=0,width=60,height=60,speed=1000,xvel = 0, yvel=0,gravity = 900,hp=2,friction=7,dir=math.random(1,2),super=false}
        larg = false
    elseif flyi then
    
    elseif slud then
    
    end
end

function enemies_draw()
    for i,v in ipairs(eN)do
        gr.setColor(255,255,255)
        draw(normal,v.x,v.y,0,2,2)
        if v.hp <= 0 then
            table.remove(eN,i)
        end
    end
    for i,v in ipairs(eL)do
        gr.setColor(255,255,255)
        draw(large,v.x,v.y,0,1.5,1.5)
        if v.hp <= 0 then
            table.remove(eL,i)
        end
    end
    for i,v in ipairs(eF)do
        rect('fill',v.x,v.y,v.width,v.height)
        if v.hp <= 0 then
            table.remove(eF,i)
        end
    end
    for i,v in ipairs(eS)do
        rect('fill',v.x,v.y,v.width,v.height)
        if v.hp <= 0 then
            table.remove(eS,i)
        end
    end
end
function enemy_physics(dt)
     for i,v in ipairs(eN) do
        v.x = v.x + v.xvel * dt
        v.y = v.y + v.yvel * dt
        v.yvel = v.yvel + v.gravity * dt
        eN[i].xvel = eN[i].xvel * (1 - math.min(dt * eN[i].friction, 1))
    end
    for i,v in ipairs(eL) do
        v.x = v.x + v.xvel * dt
        v.y = v.y + v.yvel * dt
        v.yvel = v.yvel + v.gravity * dt
        eL[i].xvel = eL[i].xvel * (1 - math.min(dt * eL[i].friction, 1))
    end
    for i,v in ipairs(eS) do
        v.x = v.x + v.xvel * dt
        v.y = v.y + v.yvel * dt
        v.yvel = v.yvel + v.gravity * dt
    end
end

function enemy_timer(dt)
    timer = timer - dt
    if timer <= 0 then
        if enemy_picker() then
            enemies_spawn()
            timer = limit
        end
    end
end

function enemy_hitbox()
    for o,v in ipairs(eN) do
        for i,h in ipairs(bullet) do
            if aabb(bullet[i],eN[o]) then
                v.hp = v.hp - 1
                table.remove(bullet,i)
            end
        end
    end
    for o,v in ipairs(eL) do
        for i,h in ipairs(bullet) do
            if aabb(bullet[i],eL[o]) then
                v.hp = v.hp - 1
                table.remove(bullet,i)
            end
        end
    end
    for i,v in ipairs(eN) do
        if aabb(player,eN[1]) then
            player.health = player.health - 1
        end
    end
    for i,v in ipairs(eL) do
        if aabb(player,eL[1]) then
            player.health = player.health - 1
        end
    end
end

function UPDATE_ENEMIES(dt)
    enemy_physics(dt)
    enemy_timer(dt)
    enemy_hitbox()
end
function DRAW_ENEMIES()
    enemies_draw()
end
