function drawlvl1()
    gr.setColor(255,255,255)
    draw(lvl1BG,0,0)
    --walls
    draw(lvl1fl,p.bottomLeft.x,p.bottomLeft.y)
    draw(lvl1fl,p.bottomRight.x,p.bottomRight.y)
    draw(lvl1fl,p.topLeft.x,p.topLeft.y)
    draw(lvl1fl,p.topRight.x,p.topRight.y)
    draw(lvl1side,p.sideRight.x,p.sideRight.y)
    draw(lvl1side,p.sideLeft.x,p.sideLeft.y)
    --platforms
    draw(lvl1plat,p.floorLeft.x,p.floorLeft.y)
    draw(lvl1plat,p.floorRight.x,p.floorRight.y)
    draw(lvl1mid,p.bottomMiddle.x,p.bottomMiddle.y)
    draw(lvl1plat,p.floor2Left.x,p.floor2Left.y)
    draw(lvl1plat,p.floor2Right.x,p.floor2Right.y)
    draw(lvl1mid,p.topMiddle.x,p.topMiddle.y)    
end

function UPDATE_LEVEL1(dt)
    
    
    collide(player,p.bottomLeft)
    collide(player,p.bottomRight)
    collide(player,p.topLeft)
    collide(player,p.topRight)
    collide(player,p.sideLeft)
    collide(player,p.sideRight)
    collide(player,p.floorLeft)
    collide(player,p.floorRight)
    collide(player,p.bottomMiddle)
    collide(player,p.floor2Left)
    collide(player,p.floor2Right)
    collide(player,p.topMiddle)
    for i,v in ipairs(crate) do
    collide(crate[i],p.bottomLeft)
    collide(crate[i],p.bottomRight)
    collide(crate[i],p.topLeft)
    collide(crate[i],p.topRight)
    collide(crate[i],p.sideLeft)
    collide(crate[i],p.sideRight)
    collide(crate[i],p.floorLeft)
    collide(crate[i],p.floorRight)
    collide(crate[i],p.bottomMiddle)
    collide(crate[i],p.floor2Left)
    collide(crate[i],p.floor2Right)
    collide(crate[i],p.topMiddle)
    end
    for q,v in ipairs(eN) do
        collide(eN[q],p.bottomLeft)
        collide(eN[q],p.bottomRight)
        collide(eN[q],p.topLeft)
        collide(eN[q],p.topRight)
        collide(eN[q],p.sideLeft)
        collide(eN[q],p.sideRight)
        collide(eN[q],p.floorLeft)
        collide(eN[q],p.floorRight)
        collide(eN[q],p.bottomMiddle)
        collide(eN[q],p.floor2Left)
        collide(eN[q],p.floor2Right)
        collide(eN[q],p.topMiddle)
        if eN[q].dir == 1 then--left
            eN[q].xvel = eN[q].xvel - eN[q].speed * dt
        elseif eN[q].dir == 2 then--right
            eN[q].xvel = eN[q].xvel + eN[q].speed * dt
            
        end
        if aabb(eN[q],enemMov.right1) then
                eN[q].dir = 1
            end
            if aabb(eN[q],enemMov.left2)then
                eN[q].dir = 2
            end
            if aabb(eN[q],enemMov.left1) then
                eN[q].dir = 2
            end
            if aabb(eN[q],enemMov.right2)then
                eN[q].dir = 1
            end
            if eN[q].y+eN[q].height >=565 and eN[q].super == false then
                eN[q].speed = eN[q].speed*2
                eN[q].y = 0
                eN[q].super = true
            end
            if eN[q].y+eN[q].height >=565 then
                eN[q].y = 0
            end
    end
    for k,v in ipairs(eL) do
        collide(eL[k],p.bottomLeft)
        collide(eL[k],p.bottomRight)
        collide(eL[k],p.topLeft)
        collide(eL[k],p.topRight)
        collide(eL[k],p.sideLeft)
        collide(eL[k],p.sideRight)
        collide(eL[k],p.floorLeft)
        collide(eL[k],p.floorRight)
        collide(eL[k],p.bottomMiddle)
        collide(eL[k],p.floor2Left)
        collide(eL[k],p.floor2Right)
        collide(eL[k],p.topMiddle)
        if eL[k].dir == 1 then--left
            eL[k].xvel = eL[k].xvel - eL[k].speed * dt
            
        
        elseif eL[k].dir == 2 then--right
            eL[k].xvel = eL[k].xvel + eL[k].speed * dt
            
        end
        if aabb(eL[k],enemMov.right1) then
            eL[k].dir = 1
        elseif aabb(eL[k],enemMov.left2)then
            eL[k].dir = 2
        elseif aabb(eL[k],enemMov.left1) then
            eL[k].dir = 2
        elseif aabb(eL[k],enemMov.right2)then
            eL[k].dir = 1
        end
        if eL[k].y+eL[k].height >=565 and eL[k].super == false then
            eL[k].speed = eL[k].speed*2
            eL[k].y = 0
            eL[k].super = true
        end
        if eL[k].y+eL[k].height >=565 then
            eL[k].y = 0
        end
    end
    for i,v in ipairs(enemies.flying) do
    
    end
    for i,v in ipairs(enemies.sludge) do
    
    end
    if player.y + player.height >= 565 then
        player.y = 0
    end
    if player.y <= 0 then
        player.y = 0
    end
        --crate spawns
    if cratespawned == false then
        spawnPick= math.random(1,8)
        
        if spawnPick == 1 then
            crate_spawn(235,500,25)
            cratespawned = true
        elseif spawnPick == 2 then
            crate_spawn(450,500,25)
            cratespawned = true
        elseif spawnPick == 3 then
            crate_spawn(25,450,150)
            cratespawned = true
        elseif spawnPick == 4 then
            crate_spawn(550,450,150)
            cratespawned = true
        elseif spawnPick == 5 then
            crate_spawn(270,325,150)
            cratespawned = true
        elseif spawnPick == 6 then
            crate_spawn(25,200,150)
            cratespawned = true
        elseif spawnPick == 7 then
            crate_spawn(550,200,150)
            cratespawned = true
        elseif spawnPick == 8 then
            crate_spawn(270,75,150)
            cratespawned = true
        end
    end
end
function DRAW_LEVEL1()
    drawlvl1()
end
function LOAD_LEVEL1()
    lvl1platforms = {
    --bounds
    bottomLeft = {width=350,height=25,x=0,y=550},
    bottomRight = {width=350,height=25,x=450,y=550},
    topLeft = {width=350,height=25,x=0,y=0},
    topRight = {width=350,height=25,x=450,y=0},
    sideLeft = {width=25,height=550,x=0,y=0},
    sideRight = {width=25,height=550,x=775,y=0},
    --actual platforms
    floorLeft = {width=225,height=50,x=25,y=500},
    floorRight = {width=225,height=50,x=550,y=500},
    bottomMiddle = {width=260,height=50,x=270,y=375},
    floor2Left = {width=225,height=50,x=25,y=250},
    floor2Right = {width=225,height=50,x=550,y=250},
    topMiddle = {width=260,height=50,x=270,y=125}}
    p = lvl1platforms
    enemMov = {
    left1={x=0,y=0,width=50,height=250},
    right1={x=750,y=0,width=25,height=250},
    left2={x=0,y=450,width=50,height=200},
    right2={x=750,y=450,width=25,height=200}}
    lvl1BG= gr.newImage('art/level1background.png')
    lvl1plat = gr.newImage('art/lvl1platform1.png')
    lvl1mid = gr.newImage('art/lvl1middle.png')
    lvl1side = gr.newImage('art/lvl1side.png')
    lvl1fl = gr.newImage('art/lvl1btml.png')
    player.x = 350
    player.y = 200
end
